Bug 58389 - new port: net/tkabber
Summary: new port: net/tkabber
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-22 17:30 UTC by Alexander Timoshenko
Modified: 2003-11-14 15:12 UTC (History)
0 users

See Also:


Attachments
tkabber.shar (23.58 KB, text/plain)
2003-10-22 17:30 UTC, Alexander Timoshenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Timoshenko 2003-10-22 17:30:10 UTC
	New port net/tkabber:
	Tkabber is a free client for an instant messaging system called
	Jabber. It is written in Tcl/Tk and supports many features like
	support of unicode, ssl support, http proxy, file transfers and
	support of multi-user conference protocol.

	WWW: http://tkabber.jabber.ru/
Comment 1 Alexander Timoshenko 2003-11-14 14:00:33 UTC
--- tkabber.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tkabber
#	tkabber/Makefile
#	tkabber/distinfo
#	tkabber/files
#	tkabber/files/patch-aa
#	tkabber/files/patch-ab
#	tkabber/pkg-plist
#	tkabber/pkg-descr
#
echo c - tkabber
mkdir -p tkabber > /dev/null 2>&1
echo x - tkabber/Makefile
sed 's/^X//' >tkabber/Makefile << 'END-of-tkabber/Makefile'
X# New ports collection makefile for:	tkabber
X# Date created:				22 October 2003
X# Whom:					Alexander Timoshenko <gonzo@univ.kiev.ua>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tkabber
XPORTVERSION=	0.9.5b
XCATEGORIES=	net
XMASTER_SITES=	http://www.jabberstudio.org/files/tkabber/
XDISTNAME=	tkabber-0.9.5beta
X
XMAINTAINER=	gonzo@univ.kiev.ua
XCOMMENT=	Tcl/Tk based jabber client
X
XRUN_DEPENDS=	wish8.4:${PORTSDIR}/x11-toolkits/tk84 \
X		${LOCALBASE}/lib/tcllib1.3/pkgIndex.tcl:${PORTSDIR}/devel/tcllib \
X		${LOCALBASE}/lib/bwidget/pkgIndex.tcl:${PORTSDIR}/x11-toolkits/bwidget
X
XWRKSRC=		${WRKDIR}/${DISTNAME}
XNO_BUILD=	yes
X
XSUBDIRS = emoticons-tkabber \
X		plugins           \
X		jabberlib-tclxml  \
X		pixmaps           \
X		sounds            \
X		textundo          \
X		msgs              \
X		mclistbox-1.02
X
Xdo-install:
X	${MKDIR} ${DATADIR}
X	${CP} ${WRKSRC}/*.tcl  ${WRKSRC}/*.xrdb ${DATADIR}
X.for i in ${SUBDIRS}
X	${CP} -R ${WRKSRC}/${i} ${DATADIR}
X.endfor
X	${MKDIR} ${EXAMPLESDIR}
X	${CP} -R ${WRKSRC}/examples/* ${EXAMPLESDIR}
X	${ECHO} -e "#!/bin/sh\nexec wish8.4 ${DATADIR}/tkabber.tcl -name tkabber \"\$$@\"\n" > ${PREFIX}/bin/tkabber
X	${CHMOD} +x ${PREFIX}/bin/tkabber
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X.for i in tkabber.html tkabber.xml
X	${INSTALL_DATA} ${WRKSRC}/doc/${i} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-tkabber/Makefile
echo x - tkabber/distinfo
sed 's/^X//' >tkabber/distinfo << 'END-of-tkabber/distinfo'
XMD5 (tkabber-0.9.5beta.tar.gz) = 13c62b75d6c80ebbbff5eb3e9f2aa668
END-of-tkabber/distinfo
echo c - tkabber/files
mkdir -p tkabber/files > /dev/null 2>&1
echo x - tkabber/files/patch-aa
sed 's/^X//' >tkabber/files/patch-aa << 'END-of-tkabber/files/patch-aa'
X--- tkabber.tcl.orig	Mon Jun  9 13:00:36 2003
X+++ tkabber.tcl	Fri Oct 17 15:45:06 2003
X@@ -1,6 +1,6 @@
X #!/bin/sh
X # the next line restarts using the correct interpreter \
X-exec wish "$0" -name tkabber "$@"
X+exec wish8.4 "$0" -name tkabber "$@"
X 
X # $Id: tkabber.tcl,v 1.159 2003/05/30 18:05:27 aleksey Exp $
X 
END-of-tkabber/files/patch-aa
echo x - tkabber/files/patch-ab
sed 's/^X//' >tkabber/files/patch-ab << 'END-of-tkabber/files/patch-ab'
X--- default.tcl.orig	Fri Oct 17 17:01:09 2003
X+++ default.tcl	Fri Oct 17 17:02:24 2003
X@@ -4,8 +4,8 @@
X 
X set loginconf(user) ""
X set loginconf(password) ""
X-set loginconf(resource) test
X-set loginconf(server) localhost
X+set loginconf(resource) TKabber
X+set loginconf(server) jabber.ru
X set loginconf(usealtserver) 0
X set loginconf(altserver) ""
X set loginconf(port) 5222
END-of-tkabber/files/patch-ab
echo x - tkabber/pkg-plist
sed 's/^X//' >tkabber/pkg-plist << 'END-of-tkabber/pkg-plist'
Xbin/tkabber
X%%DATADIR%%/emoticons-tkabber/icondef.xml
X%%DATADIR%%/emoticons-tkabber/FaceStartled.gif
X%%DATADIR%%/emoticons-tkabber/FaceStraight.gif
X%%DATADIR%%/emoticons-tkabber/beer.gif
X%%DATADIR%%/emoticons-tkabber/facegrinning.gif
X%%DATADIR%%/emoticons-tkabber/facehappy.gif
X%%DATADIR%%/emoticons-tkabber/facesad.gif
X%%DATADIR%%/emoticons-tkabber/facewinking.gif
X%%DATADIR%%/emoticons-tkabber/faceyukky.gif
X%%DATADIR%%/emoticons-tkabber/FaceIronic.gif
X%%DATADIR%%/pixmaps/icq/docking/available-xa.gif
X%%DATADIR%%/pixmaps/icq/docking/available-chat.gif
X%%DATADIR%%/pixmaps/icq/docking/available-dnd.gif
X%%DATADIR%%/pixmaps/icq/docking/available-away.gif
X%%DATADIR%%/pixmaps/icq/docking/available.gif
X%%DATADIR%%/pixmaps/icq/docking/invisible.gif
X%%DATADIR%%/pixmaps/icq/docking/unavailable.gif
X%%DATADIR%%/pixmaps/icq/roster/unavailable.gif
X%%DATADIR%%/pixmaps/icq/roster/available-chat.gif
X%%DATADIR%%/pixmaps/icq/roster/available-dnd.gif
X%%DATADIR%%/pixmaps/icq/roster/available-xa.gif
X%%DATADIR%%/pixmaps/icq/roster/available.gif
X%%DATADIR%%/pixmaps/icq/roster/invisible.gif
X%%DATADIR%%/pixmaps/icq/roster/message.gif
X%%DATADIR%%/pixmaps/icq/roster/send.gif
X%%DATADIR%%/pixmaps/icq/roster/stalker.gif
X%%DATADIR%%/pixmaps/icq/roster/available-away.gif
X%%DATADIR%%/pixmaps/icq/tkabber/glade-online.gif
X%%DATADIR%%/pixmaps/icq/tkabber/glade-new-user.gif
X%%DATADIR%%/pixmaps/icq/tkabber/glade-offline.gif
X%%DATADIR%%/pixmaps/icq/tkabber/glade-groupchat.gif
X%%DATADIR%%/pixmaps/icq/tkabber/jb.gif
X%%DATADIR%%/pixmaps/icq/tkabber/mainlogo.gif
X%%DATADIR%%/pixmaps/icq/tkabber/new-msg.gif
X%%DATADIR%%/pixmaps/feather22/roster/available-xa.gif
X%%DATADIR%%/pixmaps/feather22/roster/available-chat.gif
X%%DATADIR%%/pixmaps/feather22/roster/available-dnd.gif
X%%DATADIR%%/pixmaps/feather22/roster/available-away.gif
X%%DATADIR%%/pixmaps/feather22/roster/available.gif
X%%DATADIR%%/pixmaps/feather22/roster/invisible.gif
X%%DATADIR%%/pixmaps/feather22/roster/unavailable.gif
X%%DATADIR%%/pixmaps/gabber/browser/jud.gif
X%%DATADIR%%/pixmaps/gabber/browser/group_on.gif
X%%DATADIR%%/pixmaps/gabber/browser/icq_online.gif
X%%DATADIR%%/pixmaps/gabber/browser/aim_online.gif
X%%DATADIR%%/pixmaps/gabber/browser/msn_online.gif
X%%DATADIR%%/pixmaps/gabber/browser/user.gif
X%%DATADIR%%/pixmaps/gabber/browser/yahoo_online.gif
X%%DATADIR%%/pixmaps/gabber/roster/unavailable.gif
X%%DATADIR%%/pixmaps/gabber/roster/available-chat.gif
X%%DATADIR%%/pixmaps/gabber/roster/available-dnd.gif
X%%DATADIR%%/pixmaps/gabber/roster/available-xa.gif
X%%DATADIR%%/pixmaps/gabber/roster/available.gif
X%%DATADIR%%/pixmaps/gabber/roster/glade-groupchat-menu.xpm
X%%DATADIR%%/pixmaps/gabber/roster/group-closed.gif
X%%DATADIR%%/pixmaps/gabber/roster/group-opened.gif
X%%DATADIR%%/pixmaps/gabber/roster/group_off.gif
X%%DATADIR%%/pixmaps/gabber/roster/group_on.gif
X%%DATADIR%%/pixmaps/gabber/roster/stalker.gif
X%%DATADIR%%/pixmaps/gabber/roster/available-away.gif
X%%DATADIR%%/pixmaps/gabber/services/yahoo_xa.xpm
X%%DATADIR%%/pixmaps/gabber/services/aim_chat.xpm
X%%DATADIR%%/pixmaps/gabber/services/aim_dnd.xpm
X%%DATADIR%%/pixmaps/gabber/services/aim_offline.xpm
X%%DATADIR%%/pixmaps/gabber/services/aim_online.xpm
X%%DATADIR%%/pixmaps/gabber/services/aim_xa.xpm
X%%DATADIR%%/pixmaps/gabber/services/icq_away.xpm
X%%DATADIR%%/pixmaps/gabber/services/icq_chat.xpm
X%%DATADIR%%/pixmaps/gabber/services/icq_dnd.xpm
X%%DATADIR%%/pixmaps/gabber/services/icq_offline.xpm
X%%DATADIR%%/pixmaps/gabber/services/icq_online.xpm
X%%DATADIR%%/pixmaps/gabber/services/icq_xa.xpm
X%%DATADIR%%/pixmaps/gabber/services/msn_away.xpm
X%%DATADIR%%/pixmaps/gabber/services/msn_chat.xpm
X%%DATADIR%%/pixmaps/gabber/services/msn_dnd.xpm
X%%DATADIR%%/pixmaps/gabber/services/msn_offline.xpm
X%%DATADIR%%/pixmaps/gabber/services/msn_online.xpm
X%%DATADIR%%/pixmaps/gabber/services/msn_xa.xpm
X%%DATADIR%%/pixmaps/gabber/services/sms.xpm
X%%DATADIR%%/pixmaps/gabber/services/yahoo_away.xpm
X%%DATADIR%%/pixmaps/gabber/services/yahoo_chat.xpm
X%%DATADIR%%/pixmaps/gabber/services/yahoo_dnd.xpm
X%%DATADIR%%/pixmaps/gabber/services/yahoo_offline.xpm
X%%DATADIR%%/pixmaps/gabber/services/yahoo_online.xpm
X%%DATADIR%%/pixmaps/gabber/services/aim_away.xpm
X%%DATADIR%%/pixmaps/gabber/tkabber/glade-groupchat.gif
X%%DATADIR%%/pixmaps/gabber/tkabber/glade-new-user.gif
X%%DATADIR%%/pixmaps/gabber/tkabber/glade-offline.gif
X%%DATADIR%%/pixmaps/gabber/tkabber/glade-online.gif
X%%DATADIR%%/pixmaps/gabber/tkabber/jb.gif
X%%DATADIR%%/pixmaps/gabber/docking/unavailable.gif
X%%DATADIR%%/pixmaps/gabber/docking/available-chat.gif
X%%DATADIR%%/pixmaps/gabber/docking/available-dnd.gif
X%%DATADIR%%/pixmaps/gabber/docking/available-xa.gif
X%%DATADIR%%/pixmaps/gabber/docking/available.gif
X%%DATADIR%%/pixmaps/gabber/docking/invisible.gif
X%%DATADIR%%/pixmaps/gabber/docking/tkabber.ico
X%%DATADIR%%/pixmaps/gabber/docking/available-away.gif
X%%DATADIR%%/pixmaps/default/browser/yahoo_online.gif
X%%DATADIR%%/pixmaps/default/browser/glade-message.gif
X%%DATADIR%%/pixmaps/default/browser/group_on.gif
X%%DATADIR%%/pixmaps/default/browser/icq_online.gif
X%%DATADIR%%/pixmaps/default/browser/jud.gif
X%%DATADIR%%/pixmaps/default/browser/msn_online.gif
X%%DATADIR%%/pixmaps/default/browser/service-jabber.gif
X%%DATADIR%%/pixmaps/default/browser/unknown.gif
X%%DATADIR%%/pixmaps/default/browser/user.gif
X%%DATADIR%%/pixmaps/default/browser/aim_online.gif
X%%DATADIR%%/pixmaps/default/docking/unavailable.gif
X%%DATADIR%%/pixmaps/default/docking/available-chat.gif
X%%DATADIR%%/pixmaps/default/docking/available-dnd.gif
X%%DATADIR%%/pixmaps/default/docking/available-xa.gif
X%%DATADIR%%/pixmaps/default/docking/available.gif
X%%DATADIR%%/pixmaps/default/docking/invisible.gif
X%%DATADIR%%/pixmaps/default/docking/tkabber.ico
X%%DATADIR%%/pixmaps/default/docking/available-away.gif
X%%DATADIR%%/pixmaps/default/roster/unavailable.gif
X%%DATADIR%%/pixmaps/default/roster/available-chat.gif
X%%DATADIR%%/pixmaps/default/roster/available-dnd.gif
X%%DATADIR%%/pixmaps/default/roster/available-xa.gif
X%%DATADIR%%/pixmaps/default/roster/available.gif
X%%DATADIR%%/pixmaps/default/roster/group-closed.gif
X%%DATADIR%%/pixmaps/default/roster/group-opened.gif
X%%DATADIR%%/pixmaps/default/roster/group_off.gif
X%%DATADIR%%/pixmaps/default/roster/group_on.gif
X%%DATADIR%%/pixmaps/default/roster/invisible.gif
X%%DATADIR%%/pixmaps/default/roster/stalker.gif
X%%DATADIR%%/pixmaps/default/roster/available-away.gif
X%%DATADIR%%/pixmaps/default/services/yahoo_xa.xpm
X%%DATADIR%%/pixmaps/default/services/aim_chat.xpm
X%%DATADIR%%/pixmaps/default/services/aim_dnd.xpm
X%%DATADIR%%/pixmaps/default/services/aim_offline.xpm
X%%DATADIR%%/pixmaps/default/services/aim_online.xpm
X%%DATADIR%%/pixmaps/default/services/aim_xa.xpm
X%%DATADIR%%/pixmaps/default/services/icq_away.xpm
X%%DATADIR%%/pixmaps/default/services/icq_chat.xpm
X%%DATADIR%%/pixmaps/default/services/icq_dnd.xpm
X%%DATADIR%%/pixmaps/default/services/icq_offline.xpm
X%%DATADIR%%/pixmaps/default/services/icq_online.xpm
X%%DATADIR%%/pixmaps/default/services/icq_xa.xpm
X%%DATADIR%%/pixmaps/default/services/msn_away.xpm
X%%DATADIR%%/pixmaps/default/services/msn_chat.xpm
X%%DATADIR%%/pixmaps/default/services/msn_dnd.xpm
X%%DATADIR%%/pixmaps/default/services/msn_offline.xpm
X%%DATADIR%%/pixmaps/default/services/msn_online.xpm
X%%DATADIR%%/pixmaps/default/services/msn_xa.xpm
X%%DATADIR%%/pixmaps/default/services/rss.xpm
X%%DATADIR%%/pixmaps/default/services/rss2.xpm
X%%DATADIR%%/pixmaps/default/services/rss3.xpm
X%%DATADIR%%/pixmaps/default/services/sms.xpm
X%%DATADIR%%/pixmaps/default/services/yahoo_away.xpm
X%%DATADIR%%/pixmaps/default/services/yahoo_chat.xpm
X%%DATADIR%%/pixmaps/default/services/yahoo_dnd.xpm
X%%DATADIR%%/pixmaps/default/services/yahoo_offline.xpm
X%%DATADIR%%/pixmaps/default/services/yahoo_online.xpm
X%%DATADIR%%/pixmaps/default/services/aim_away.xpm
X%%DATADIR%%/pixmaps/default/tkabber/search_fw.gif
X%%DATADIR%%/pixmaps/default/tkabber/glade-new-user.gif
X%%DATADIR%%/pixmaps/default/tkabber/glade-offline.gif
X%%DATADIR%%/pixmaps/default/tkabber/glade-online.gif
X%%DATADIR%%/pixmaps/default/tkabber/gpg-badsigned.gif
X%%DATADIR%%/pixmaps/default/tkabber/gpg-encrypted.gif
X%%DATADIR%%/pixmaps/default/tkabber/gpg-signed.gif
X%%DATADIR%%/pixmaps/default/tkabber/gpg-unencrypted.gif
X%%DATADIR%%/pixmaps/default/tkabber/gpg-unsigned.gif
X%%DATADIR%%/pixmaps/default/tkabber/jb.gif
X%%DATADIR%%/pixmaps/default/tkabber/mainlogo.gif
X%%DATADIR%%/pixmaps/default/tkabber/new-msg.gif
X%%DATADIR%%/pixmaps/default/tkabber/search_bk.gif
X%%DATADIR%%/pixmaps/default/tkabber/search_case.gif
X%%DATADIR%%/pixmaps/default/tkabber/search_exact.gif
X%%DATADIR%%/pixmaps/default/tkabber/glade-groupchat.gif
X%%DATADIR%%/pixmaps/jajc/browser/jud.gif
X%%DATADIR%%/pixmaps/jajc/browser/group_on.gif
X%%DATADIR%%/pixmaps/jajc/browser/icq_online.gif
X%%DATADIR%%/pixmaps/jajc/browser/aim_online.gif
X%%DATADIR%%/pixmaps/jajc/browser/msn_online.gif
X%%DATADIR%%/pixmaps/jajc/browser/user.gif
X%%DATADIR%%/pixmaps/jajc/browser/yahoo_online.gif
X%%DATADIR%%/pixmaps/jajc/docking/tkabber.ico
X%%DATADIR%%/pixmaps/jajc/roster/unavailable.gif
X%%DATADIR%%/pixmaps/jajc/roster/available-chat.gif
X%%DATADIR%%/pixmaps/jajc/roster/available-dnd.gif
X%%DATADIR%%/pixmaps/jajc/roster/available-xa.gif
X%%DATADIR%%/pixmaps/jajc/roster/available.gif
X%%DATADIR%%/pixmaps/jajc/roster/group-closed.gif
X%%DATADIR%%/pixmaps/jajc/roster/group-opened.gif
X%%DATADIR%%/pixmaps/jajc/roster/group_closed.gif
X%%DATADIR%%/pixmaps/jajc/roster/group_off.gif
X%%DATADIR%%/pixmaps/jajc/roster/group_on.gif
X%%DATADIR%%/pixmaps/jajc/roster/group_opened.gif
X%%DATADIR%%/pixmaps/jajc/roster/available-away.gif
X%%DATADIR%%/pixmaps/jajc/services/yahoo_xa.xpm
X%%DATADIR%%/pixmaps/jajc/services/aim_chat.xpm
X%%DATADIR%%/pixmaps/jajc/services/aim_dnd.xpm
X%%DATADIR%%/pixmaps/jajc/services/aim_offline.xpm
X%%DATADIR%%/pixmaps/jajc/services/aim_online.xpm
X%%DATADIR%%/pixmaps/jajc/services/aim_xa.xpm
X%%DATADIR%%/pixmaps/jajc/services/icq_away.xpm
X%%DATADIR%%/pixmaps/jajc/services/icq_chat.xpm
X%%DATADIR%%/pixmaps/jajc/services/icq_dnd.xpm
X%%DATADIR%%/pixmaps/jajc/services/icq_offline.xpm
X%%DATADIR%%/pixmaps/jajc/services/icq_online.xpm
X%%DATADIR%%/pixmaps/jajc/services/icq_xa.xpm
X%%DATADIR%%/pixmaps/jajc/services/msn_away.xpm
X%%DATADIR%%/pixmaps/jajc/services/msn_chat.xpm
X%%DATADIR%%/pixmaps/jajc/services/msn_dnd.xpm
X%%DATADIR%%/pixmaps/jajc/services/msn_offline.xpm
X%%DATADIR%%/pixmaps/jajc/services/msn_online.xpm
X%%DATADIR%%/pixmaps/jajc/services/msn_xa.xpm
X%%DATADIR%%/pixmaps/jajc/services/sms.xpm
X%%DATADIR%%/pixmaps/jajc/services/yahoo_away.xpm
X%%DATADIR%%/pixmaps/jajc/services/yahoo_chat.xpm
X%%DATADIR%%/pixmaps/jajc/services/yahoo_dnd.xpm
X%%DATADIR%%/pixmaps/jajc/services/yahoo_offline.xpm
X%%DATADIR%%/pixmaps/jajc/services/yahoo_online.xpm
X%%DATADIR%%/pixmaps/jajc/services/aim_away.xpm
X%%DATADIR%%/pixmaps/jajc/tkabber/glade-groupchat.gif
X%%DATADIR%%/pixmaps/jajc/tkabber/glade-new-user.gif
X%%DATADIR%%/pixmaps/jajc/tkabber/glade-offline.gif
X%%DATADIR%%/pixmaps/jajc/tkabber/glade-online.gif
X%%DATADIR%%/pixmaps/jajc/tkabber/jb.gif
X%%DATADIR%%/pixmaps/jarl/roster/available-xa.gif
X%%DATADIR%%/pixmaps/jarl/roster/available-chat.gif
X%%DATADIR%%/pixmaps/jarl/roster/available-dnd.gif
X%%DATADIR%%/pixmaps/jarl/roster/available-away.gif
X%%DATADIR%%/pixmaps/jarl/roster/available.gif
X%%DATADIR%%/pixmaps/jarl/roster/invisible.gif
X%%DATADIR%%/pixmaps/jarl/roster/unavailable.gif
X%%DATADIR%%/pixmaps/psi/browser/aim_online.gif
X%%DATADIR%%/pixmaps/psi/browser/icq_online.gif
X%%DATADIR%%/pixmaps/psi/browser/msn_online.gif
X%%DATADIR%%/pixmaps/psi/browser/user.gif
X%%DATADIR%%/pixmaps/psi/browser/yahoo_online.gif
X%%DATADIR%%/pixmaps/psi/roster/unavailable.gif
X%%DATADIR%%/pixmaps/psi/roster/available-chat.gif
X%%DATADIR%%/pixmaps/psi/roster/available-dnd.gif
X%%DATADIR%%/pixmaps/psi/roster/available-xa.gif
X%%DATADIR%%/pixmaps/psi/roster/available.gif
X%%DATADIR%%/pixmaps/psi/roster/group-closed.gif
X%%DATADIR%%/pixmaps/psi/roster/group-opened.gif
X%%DATADIR%%/pixmaps/psi/roster/stalker.gif
X%%DATADIR%%/pixmaps/psi/roster/available-away.gif
X%%DATADIR%%/pixmaps/psi/tkabber/glade-groupchat.gif
X%%DATADIR%%/pixmaps/psi/tkabber/glade-new-user.gif
X%%DATADIR%%/pixmaps/psi/tkabber/glade-offline.gif
X%%DATADIR%%/pixmaps/psi/tkabber/glade-online.gif
X%%DATADIR%%/pixmaps/psi/tkabber/jb.gif
X%%DATADIR%%/jabberlib-tclxml/tclxml/xpath.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/sgml-8.0.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/sgml-8.1.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/sgmlparser.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/tclparser-8.0.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/tclparser-8.1.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/xml-8.0.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/xml-8.1.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/xml__tcl.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/xmldep.tcl
X%%DATADIR%%/jabberlib-tclxml/tclxml/pkgIndex.tcl
X%%DATADIR%%/jabberlib-tclxml/jabberlib.tcl
X%%DATADIR%%/jabberlib-tclxml/pkgIndex.tcl
X%%DATADIR%%/jabberlib-tclxml/wrapper.tcl
X%%DATADIR%%/plugins/chat/unisymbols.tcl
X%%DATADIR%%/plugins/chat/complete_last_nick.tcl
X%%DATADIR%%/plugins/chat/completion.tcl
X%%DATADIR%%/plugins/chat/draw_encrypted.tcl
X%%DATADIR%%/plugins/chat/draw_error.tcl
X%%DATADIR%%/plugins/chat/draw_message.tcl
X%%DATADIR%%/plugins/chat/draw_normal_message.tcl
X%%DATADIR%%/plugins/chat/draw_server_message.tcl
X%%DATADIR%%/plugins/chat/draw_signed.tcl
X%%DATADIR%%/plugins/chat/draw_timestamp.tcl
X%%DATADIR%%/plugins/chat/empty_body.tcl
X%%DATADIR%%/plugins/chat/events.tcl
X%%DATADIR%%/plugins/chat/exec_command.tcl
X%%DATADIR%%/plugins/chat/history.tcl
X%%DATADIR%%/plugins/chat/logger.tcl
X%%DATADIR%%/plugins/chat/me_command.tcl
X%%DATADIR%%/plugins/chat/nick_command.tcl
X%%DATADIR%%/plugins/chat/send_message.tcl
X%%DATADIR%%/plugins/chat/clear.tcl
X%%DATADIR%%/plugins/general/httpconn.tcl
X%%DATADIR%%/plugins/general/clientinfo.tcl
X%%DATADIR%%/plugins/general/conferenceinfo.tcl
X%%DATADIR%%/plugins/general/message_archive.tcl
X%%DATADIR%%/plugins/general/rawxml.tcl
X%%DATADIR%%/plugins/general/stats.tcl
X%%DATADIR%%/plugins/general/tkcon.tcl
X%%DATADIR%%/plugins/general/autoaway.tcl
X%%DATADIR%%/plugins/iq/browse.tcl
X%%DATADIR%%/plugins/iq/oob.tcl
X%%DATADIR%%/plugins/iq/time.tcl
X%%DATADIR%%/plugins/iq/version.tcl
X%%DATADIR%%/plugins/jidlink/dtcp.tcl
X%%DATADIR%%/plugins/jidlink/ibb.tcl
X%%DATADIR%%/plugins/unix/dockingtray.tcl
X%%DATADIR%%/plugins/unix/ispell.tcl
X%%DATADIR%%/plugins/unix/menu.tcl
X%%DATADIR%%/plugins/unix/menu8.4.tcl
X%%DATADIR%%/plugins/unix/wmdock.tcl
X%%DATADIR%%/plugins/windows/mousewheel.tcl
X%%DATADIR%%/plugins/windows/taskbar.tcl
X%%DATADIR%%/sounds/default/groupchat_their_message.wav
X%%DATADIR%%/sounds/default/connected.wav
X%%DATADIR%%/sounds/default/groupchat_server_message.wav
X%%DATADIR%%/sounds/default/chat_their_message.wav
X%%DATADIR%%/sounds/default/groupchat_their_message_to_me.wav
X%%DATADIR%%/sounds/default/presence_available.wav
X%%DATADIR%%/sounds/default/presence_unavailable.wav
X%%DATADIR%%/msgs/ua.msg
X%%DATADIR%%/msgs/de.msg
X%%DATADIR%%/msgs/en.msg
X%%DATADIR%%/msgs/eo.msg
X%%DATADIR%%/msgs/es.msg
X%%DATADIR%%/msgs/fr.msg
X%%DATADIR%%/msgs/it.msg
X%%DATADIR%%/msgs/ro.msg
X%%DATADIR%%/msgs/ru.msg
X%%DATADIR%%/msgs/ru.rc
X%%DATADIR%%/msgs/ca.msg
X%%DATADIR%%/textundo/dkflib.tcl
X%%DATADIR%%/textundo/textundo.tcl
X%%DATADIR%%/mclistbox-1.02/mclistbox.tcl
X%%DATADIR%%/search.tcl
X%%DATADIR%%/roster_nested.tcl
X%%DATADIR%%/roster.tcl
X%%DATADIR%%/register.tcl
X%%DATADIR%%/privacy.tcl
X%%DATADIR%%/presence.tcl
X%%DATADIR%%/plugins.tcl
X%%DATADIR%%/negotiate.tcl
X%%DATADIR%%/muc.tcl
X%%DATADIR%%/messages.tcl
X%%DATADIR%%/login.tcl
X%%DATADIR%%/joingrdialog.tcl
X%%DATADIR%%/jidlink.tcl
X%%DATADIR%%/itemedit.tcl
X%%DATADIR%%/iq.tcl
X%%DATADIR%%/iface.tcl
X%%DATADIR%%/hooks.tcl
X%%DATADIR%%/gpgme.tcl
X%%DATADIR%%/filters.tcl
X%%DATADIR%%/filetransfer.tcl
X%%DATADIR%%/emoticons.tcl
X%%DATADIR%%/disco.tcl
X%%DATADIR%%/default.tcl
X%%DATADIR%%/datagathering.tcl
X%%DATADIR%%/custom.tcl
X%%DATADIR%%/chats.tcl
X%%DATADIR%%/bwidget_workarounds.tcl
X%%DATADIR%%/browser.tcl
X%%DATADIR%%/balloon.tcl
X%%DATADIR%%/avatars.tcl
X%%DATADIR%%/Tclx.tcl
X%%DATADIR%%/default.xrdb
X%%DATADIR%%/xmppmime.tcl
X%%DATADIR%%/utils.tcl
X%%DATADIR%%/userinfo.tcl
X%%DATADIR%%/tkabber.tcl
X%%DATADIR%%/splash.tcl
X%%DATADIR%%/sound.tcl
X%%PORTDOCS%%%%EXAMPLESDIR%%/tools/howto.txt
X%%PORTDOCS%%%%EXAMPLESDIR%%/tools/jbot
X%%PORTDOCS%%%%EXAMPLESDIR%%/tools/jsend.tcl
X%%PORTDOCS%%%%EXAMPLESDIR%%/tools/rssbot
X%%PORTDOCS%%%%EXAMPLESDIR%%/tools/rssbot.tcl
X%%PORTDOCS%%%%EXAMPLESDIR%%/black.xrdb
X%%PORTDOCS%%%%EXAMPLESDIR%%/config.tcl
X%%PORTDOCS%%%%EXAMPLESDIR%%/dark.xrdb
X%%PORTDOCS%%%%EXAMPLESDIR%%/ermine.xrdb
X%%PORTDOCS%%%%EXAMPLESDIR%%/green.xrdb
X%%PORTDOCS%%%%EXAMPLESDIR%%/ice.xrdb
X%%PORTDOCS%%%%EXAMPLESDIR%%/light.xrdb
X%%PORTDOCS%%%%EXAMPLESDIR%%/mtr-config.tcl
X%%PORTDOCS%%%%EXAMPLESDIR%%/teo-config.tcl
X%%PORTDOCS%%%%EXAMPLESDIR%%/teopetuk.xrdb
X%%PORTDOCS%%%%EXAMPLESDIR%%/warm.xrdb
X%%PORTDOCS%%%%EXAMPLESDIR%%/tkabber_setstatus
X%%PORTDOCS%%%%EXAMPLESDIR%%/dark2.xrdb
X%%PORTDOCS%%%%DOCSDIR%%/tkabber.xml
X%%PORTDOCS%%%%DOCSDIR%%/tkabber.html
X%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%/tools
X%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X@dirrm %%DATADIR%%/emoticons-tkabber
X@dirrm %%DATADIR%%/pixmaps/icq/docking
X@dirrm %%DATADIR%%/pixmaps/icq/roster
X@dirrm %%DATADIR%%/pixmaps/icq/tkabber
X@dirrm %%DATADIR%%/pixmaps/icq
X@dirrm %%DATADIR%%/pixmaps/feather22/roster
X@dirrm %%DATADIR%%/pixmaps/feather22
X@dirrm %%DATADIR%%/pixmaps/gabber/browser
X@dirrm %%DATADIR%%/pixmaps/gabber/roster
X@dirrm %%DATADIR%%/pixmaps/gabber/services
X@dirrm %%DATADIR%%/pixmaps/gabber/tkabber
X@dirrm %%DATADIR%%/pixmaps/gabber/docking
X@dirrm %%DATADIR%%/pixmaps/gabber
X@dirrm %%DATADIR%%/pixmaps/default/browser
X@dirrm %%DATADIR%%/pixmaps/default/docking
X@dirrm %%DATADIR%%/pixmaps/default/roster
X@dirrm %%DATADIR%%/pixmaps/default/services
X@dirrm %%DATADIR%%/pixmaps/default/tkabber
X@dirrm %%DATADIR%%/pixmaps/default
X@dirrm %%DATADIR%%/pixmaps/jajc/browser
X@dirrm %%DATADIR%%/pixmaps/jajc/docking
X@dirrm %%DATADIR%%/pixmaps/jajc/roster
X@dirrm %%DATADIR%%/pixmaps/jajc/services
X@dirrm %%DATADIR%%/pixmaps/jajc/tkabber
X@dirrm %%DATADIR%%/pixmaps/jajc
X@dirrm %%DATADIR%%/pixmaps/jarl/roster
X@dirrm %%DATADIR%%/pixmaps/jarl
X@dirrm %%DATADIR%%/pixmaps/psi/browser
X@dirrm %%DATADIR%%/pixmaps/psi/roster
X@dirrm %%DATADIR%%/pixmaps/psi/tkabber
X@dirrm %%DATADIR%%/pixmaps/psi
X@dirrm %%DATADIR%%/pixmaps
X@dirrm %%DATADIR%%/jabberlib-tclxml/tclxml
X@dirrm %%DATADIR%%/jabberlib-tclxml
X@dirrm %%DATADIR%%/plugins/chat
X@dirrm %%DATADIR%%/plugins/general
X@dirrm %%DATADIR%%/plugins/iq
X@dirrm %%DATADIR%%/plugins/jidlink
X@dirrm %%DATADIR%%/plugins/unix
X@dirrm %%DATADIR%%/plugins/windows
X@dirrm %%DATADIR%%/plugins
X@dirrm %%DATADIR%%/sounds/default
X@dirrm %%DATADIR%%/sounds
X@dirrm %%DATADIR%%/msgs
X@dirrm %%DATADIR%%/textundo
X@dirrm %%DATADIR%%/mclistbox-1.02
X@dirrm %%DATADIR%%
END-of-tkabber/pkg-plist
echo x - tkabber/pkg-descr
sed 's/^X//' >tkabber/pkg-descr << 'END-of-tkabber/pkg-descr'
XTkabber is a free client for an instant messaging system called
XJabber. It is written in Tcl/Tk and supports many features like
Xsupport of unicode, ssl support, http proxy, file transfers and
Xsupport of multi-user conference protocol.
X
XWWW: http://tkabber.jabber.ru/
END-of-tkabber/pkg-descr
exit
--- tkabber.shar ends here ---
Comment 2 Sergey A. Osokin freebsd_committer 2003-11-14 15:12:07 UTC
State Changed
From-To: open->closed

Committed with some modifications, thanks.